Bug 809348 - Review Request: darkclient - A command line tool for the darkroom service
Review Request: darkclient - A command line tool for the darkroom service
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 03:18 EDT by kushaldas@gmail.com
Modified: 2013-05-19 06:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-19 06:32:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanjay.ankur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Review notes in a text file (3.09 KB, application/octet-stream)
2012-04-03 03:52 EDT, Ankur Sinha (FranciscoD)
no flags Details

  None (edit)
Description kushaldas@gmail.com 2012-04-03 03:18:35 EDT
Spec URL: http://kushal.fedorapeople.org/packages/darkclient.spec
SRPM URL: http://kushal.fedorapeople.org/packages/darkclient-0.1-1.fc16.src.rpm
Description: A command line tool for the darkroom service.
Comment 1 Ankur Sinha (FranciscoD) 2012-04-03 03:51:51 EDT
[+] OK
[-] NA
[?] Issue

[+] Package meets naming and packaging guidelines
[+] Spec file matches base package name.
[?] Spec has consistant macro usage.
Please use either RPM_BUILD_ROOT or %(buildroot}, not both :)

[+] Meets Packaging Guidelines.
[+] License
[+] License field in spec matches
[?] License file included in package
Since you are the upstream, can you please include a license file before adding
this package to the repos?

[+] Spec in American English
[+] Spec is legible.
[-] Sources match upstream md5sum:
Could not check, Source0 is not address of upstream tarball. If possible,
please add a "release" page and host the tarballs there. 

[+] Package needs ExcludeArch
[?] BuildRequires correct
BRs missing completely. Please add python{2,3}-devel and python-setuptools as
BRs.
The package will not build without the BRs: ** BLOCKER **

[-] Spec handles locales/find_lang
[-] Package is relocatable and has a reason to be.
[+] Package has %defattr and permissions on files is good.
[+] Package has a correct %clean section.
[+] Package has correct buildroot
%{_tmppath}/%{name}[-]%{version}-%{release}-root-%(%{__id_u} -n)
[+] Package is code or permissible content.
[-] Doc subpackage needed/used.
[+] Packages %doc files don't affect runtime.

[-] Headers/static libs in -devel subpackage.
[-] Spec has needed ldconfig in post and postun
[-] .pc files in -devel subpackage/requires pkgconfig
[-] .so files in -devel subpackage.
[-] -devel package Requires: %{name} = %{version}-%{release}
[-] .la files are removed.

[-] Package is a GUI app and has a .desktop file

[?] Package compiles and builds on at least one arch.
Will not build due to insufficient BRs
** BLOCKER **

[+] Package has no duplicate files in %files.
[+] Package doesn't own any directories other packages own.
[+] Package owns all the directories it creates.
[-] No rpmlint output.
[-] final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm [-]qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)

SHOULD Items:

[?] Should build in mock.
[-] Should build on all supported archs
[?] Should function as described.
Not checked

[-] Should have sane scriptlets.
[-] Should have subpackages require base package with fully versioned depend.
[+] Should have dist tag
[+] Should package latest version
[-] check for outstanding bugs on package. (For core merge reviews)

Issues:

[?] Spec has consistant macro usage.
[?] License file included in package
[?] BuildRequires correct
[?] Package compiles and builds on at least one arch.
[?] Should build in mock.

The package builds even without BRs somehow, but that's wrong. Please correct
the issues outlined above.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3958954


I'm assuming this package will be built for el too, therefore the the python packaging macros, and the buildroot etc are all right to include. 
If you do not intend to build the package for el etc, please get rid of the surplus bits: buildroot definition, python packaging macros, clean section, defattr
Comment 2 Ankur Sinha (FranciscoD) 2012-04-03 03:52:25 EDT
Created attachment 574769 [details]
Review notes in a text file
Comment 3 kushaldas@gmail.com 2012-04-03 05:29:55 EDT
Updated spec and srpm
Spec URL: http://kushal.fedorapeople.org/packages/darkclient.spec
SRPM URL: http://kushal.fedorapeople.org/packages/darkclient-0.1-2.fc16.src.rpm

This package will be build in EL6. The upstream release will have a LICENSE file from next release.
Comment 4 kushaldas@gmail.com 2012-04-03 05:46:08 EDT
Koji scratch build for F17 http://koji.fedoraproject.org/koji/taskinfo?taskID=3959118
Comment 5 Ankur Sinha (FranciscoD) 2012-04-03 06:10:36 EDT
rpmlint output looks good:

[ankur@ankur SRPMS]$ rpmlint -i ../SPECS/darkclient.spec /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm darkclient-0.1-2.fc16.src.rpm
darkclient.noarch: W: no-manual-page-for-binary darkclient
Each executable in standard binary directories should have a man page.

3 packages and 1 specfiles checked; 0 errors, 1 warnings.
[ankur@ankur SRPMS]$


Some nitpicks. (Not blockers):

1. python2-devel, not python-devel
2. Please use the --skip-build flag in setup.py install
3. Please replace the "darkclients" in the spec with the %{name} macro. 
4. Similarly, please replace the "0.1" in the egg info with %{version}

One blocker:
It appears that the README file is included both in %doc and in the %{_datadir}. It's the only file in the datadir. Please remove it from the datadir, and remove datadir altogether, since it seems surplus.

[ankur@ankur darkclient-0.1]$ rpm -qpl /var/lib/mock/fedora-rawhide-x86_64/result/darkclient-0.1-2.fc18.noarch.rpm
/etc/darkclient.conf
/usr/bin/darkclient
/usr/lib/python2.7/site-packages/darkclient-0.1-py2.7.egg-info
/usr/share/darkclient
/usr/share/darkclient/README
/usr/share/doc/darkclient-0.1
/usr/share/doc/darkclient-0.1/README
[ankur@ankur darkclient-0.1]$

Minor fixes. I'll approve the package once these are fixed. The blocker is the important one, but you might as well fix the nitpicks while you're at it :)

Ankur
Comment 6 kushaldas@gmail.com 2012-04-04 07:53:31 EDT
Updated spec and srpm for the same:

Updated spec and srpm
Spec URL: http://kushal.fedorapeople.org/packages/darkclient.spec
SRPM URL: http://kushal.fedorapeople.org/packages/darkclient-0.1-3.fc16.src.rpm
Comment 7 Ankur Sinha (FranciscoD) 2012-04-04 08:47:34 EDT
Issues fixed.

XXX APPROVED XXX
Comment 8 kushaldas@gmail.com 2012-04-05 05:32:54 EDT
New Package SCM Request
=======================
Package Name: darkclient
Short Description: A command line tool for the darkroom service.
server
Owners: kushal
Branches: el6 f16 f17
InitialCC:
Comment 9 Gwyn Ciesla 2012-04-05 08:12:07 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-04-11 02:18:15 EDT
darkclient-0.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/darkclient-0.1-4.fc16

Note You need to log in before you can comment on or make changes to this bug.